Module org.jfree.chart3d
Package org.jfree.chart3d.data

# Class KeyedValuesItemKey

java.lang.Object
org.jfree.chart3d.data.KeyedValuesItemKey

All Implemented Interfaces:
  `Serializable`, `ItemKey`

public class KeyedValuesItemKey extends Object implements ItemKey, Serializable
An object that references one data item in a `KeyedValues3D` data structure.

Since:
  1.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`KeyedValuesItemKey(Comparable<? extends Object> key)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Tests this instance for equality with an arbitrary object.
`Comparable<?>`
`getKey()`
Returns the key.
`String`
`toJSONString()`
Returns a JSON formatted string representing the key.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### KeyedValuesItemKey

public KeyedValuesItemKey(Comparable<? extends Object> key)
Creates a new instance.

Parameters:
  `key` - the key (`null` not permitted).

## Method Details

### getKey

public Comparable<?> getKey()
Returns the key.

Returns:
  The key (never `null`).

### equals

public boolean equals(Object obj)
Tests this instance for equality with an arbitrary object.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the object (`null` not permitted).
Returns:
  A boolean.

### toJSONString

public String toJSONString()
Description copied from interface: `ItemKey`
Returns a JSON formatted string representing the key.

Specified by:
  `toJSONString` in interface `ItemKey`
Returns:
  A JSON formatted string.

### toString

public String toString()

Overrides:
  `toString` in class `Object`